# nyxx_lavalink

[![Discord](https://discordapp.com/api/guilds/846136758470443069/widget.png?style=shield)](https://discord.gg/nyxx)
[![pub](https://img.shields.io/pub/v/nyxx_lavalink.svg)](https://pub.dev/packages/nyxx_lavalink)
[![documentation](https://img.shields.io/badge/Documentation-nyxx__lavalink-yellow.svg)](https://pub.dev/documentation/nyxx_lavalink/latest/)

A simple to use wrapper around the [Lavalink](https://lavalink.dev/) API for Discord bots using [nyxx](https://pub.dev/packages/nyxx).

This package does not contain a Lavalink server. Follow the instructions [here](https://lavalink.dev/configuration/binary.html) (or [here](https://lavalink.dev/configuration/docker.html), if you're using Docker) to run a server, then provide the server address when creating your `LavalinkPlugin` instance.

nyxx_lavalink uses Lavalink version 4. If you get errors, ensure your Lavalink server is running version 4 or above.

## Other nyxx packages

- [nyxx_commands](https://pub.dev/packages/nyxx_commands): A command framework for handling both simple & complex commands.
- [nyxx_extensions](https://pub.dev/packages/nyxx_extensions): Pagination, emoji utilities and other miscellaneous helpers for developing bots using nyxx.

## Additional documentation & help

The API documentation for the latest stable version can be found on [pub](https://pub.dev/documentation/nyxx_lavalink).

### [Docs and wiki](https://nyxx.l7ssha.xyz)
Tutorials and wiki articles are hosted here, as well as API documentation for development versions from GitHub.

### [Official nyxx Discord server](https://discord.gg/nyxx)
Our Discord server is where you can get help for any nyxx packages, as well as release announcements and discussions about the library.

### [Discord API docs](https://discord.dev/)
Discord's API documentation details what nyxx implements & provides more detailed explanations of certain topics.

### [Discord API Server](https://discord.gg/discord-api)
The unofficial guild for Discord Bot developers. To get help with nyxx check `#dart_nyxx` channel.

### [Pub.dev docs](https://pub.dev/documentation/nyxx_lavalink)
The dartdocs page will always have the documentation for the latest release.

## Contributing to Nyxx

Read the [contributing document](https://github.com/nyxx-discord/nyxx_lavalink/blob/dev/CONTRIBUTING.md)
